package com.engine.recruit.wrapper;

import com.engine.common.util.ServiceUtil;
import com.engine.core.impl.Service;
import com.engine.recruit.service.RecruitFlowService;
import com.engine.recruit.service.impl.RecruitFlowServiceImpl;
import weaver.hrm.User;

import java.util.Map;

/**
 * @author:dxfeng
 * @createTime: 2023/09/20
 * @version: 1.0
 */
public class RecruitFlowWrapper extends Service {
    private RecruitFlowService getRecruitFlowService(User user) {
        return ServiceUtil.getService(RecruitFlowServiceImpl.class, user);
    }

    public Map<String, Object> getButtonList(Map<String, Object> param) {
        return getRecruitFlowService(user).getButtonList(param);
    }

    public Map<String, Object> getRecruitStepList(Map<String, Object> param) {
        return getRecruitFlowService(user).getRecruitStepList(param);
    }

    public Map<String, Object> syncRecruitStepInfo(Map<String, Object> param) {
        return getRecruitFlowService(user).syncRecruitStepInfo(param);
    }
}
